import PIL
from PIL import Image, ImageOps
from lib import *

with Image.open("data/muva_mini.jpg") as img0:
    img0.load()
img = img0.resize((50,50))

img.resize( (250,250),Image.Resampling.NEAREST ).show()
input("Press any key to continue...")

# Slika je predstavljena kao matrica piksela
pixels = img.load()

print( pixels[0,0] )
print( pixels[0,1] )
print( pixels[0,2] )
print( pixels[0,3] )
print( pixels[0,4] )

# Menjamo nekoliko piksela u prvom redu...
pixels[0,0] = (0,0,0)
pixels[1,0] = (255,255,255)
pixels[2,0] = (255,0,0)
pixels[3,0] = (0,255,0)
pixels[4,0] = (0,0,255)
img.resize( (250,250),Image.Resampling.NEAREST ).show()
input("Press any key to continue...")

# Menjamo boju piksela:
# u prvom redu u belu
# u prvoj koloni u crnu 
# na dijagonali u crvenu
for i in range( img.width ):
    if i<img.height:
        pixels[i,0] = (255,255,255)
        pixels[0,i] = (0,0,0)
        pixels[i,i] = (255,0,0)

img.resize( (250,250),Image.Resampling.NEAREST ).show()
input("Press any key to continue...")

# Menjamo boju svih piksela tako sto obrnemo zelenu
for i in range( img.width ):
    for j in range( img.height ):
        r,g,b = pixels[i,j]
        pixels[i,j] = (r,255-g,b)

img.resize( (250,250),Image.Resampling.NEAREST ).show()
input("Press any key to continue...")

# Menjamo boju svih piksela tako sto iskljucimo zelenu i plavu
for i in range( img.width ):
    for j in range( img.height ):
        r,g,b = pixels[i,j]
        pixels[i,j] = (r,0,0)

img.resize( (250,250),Image.Resampling.NEAREST ).show()
input("Press any key to continue...")

# Ucitamo poonvo pocetnu sliku...
# Zatamnimo piksele prema polozaju - sto vise desno to tamnije
img = img0.resize((50,50))
pixels = img.load()
for i in range( img.width ):
    for j in range( img.height ):
        r,g,b = pixels[i,j]
        pixels[i,j] = (r-3*i,g-3*i,b-3*i)
img.resize( (250,250),Image.Resampling.NEAREST ).show()
