import PIL
from PIL import Image, ImageOps
from lib import *

with Image.open("data/muva_mini.jpg") as img:
    img.load()

# plot_rgb_histogram( img )
h = img.histogram()
plot.bar( range(0,256), h[0:256], color="#ff0000", alpha=0.5 )
plot.bar( range(0,256), h[256:512], color="#00aa00", alpha=0.5 )
plot.bar( range(0,256), h[512:768], color="#0000ff", alpha=0.5 )
plot.show()
input("Press any key to continue...")

tile( 
    img,
    img_range( img, 15, 100 ),
    img_range( img, 120, 150 ),
    img_range( img, 190, 225 ),
    img_range( img, 15, 225 )
).show()
input("Press any key to continue...")

img2 = img_range( img, 25, 215 )
img2.show()
plot_rgb_histogram( img2 )