import PIL
from PIL import Image, ImageOps, ImageFilter
from lib import *

with Image.open("data/jagoda_002.jpg") as img:
    img.load()

tile( img,
      img.filter( ImageFilter.Kernel( (3,3), [1, 2, 1,
                                              2, 12, 2,
                                              1, 2, 1] )),
      img.filter( ImageFilter.Kernel( (3,3), [1, 2, 1,
                                              2, 8, 2,
                                              1, 2, 1] )),
      img.filter( ImageFilter.Kernel( (3,3), [1, 2, 1,
                                              2, 4, 2,
                                              1, 2, 1] ))
).show()
input("Press any key to continue...")

tile( img,
      img.filter( ImageFilter.Kernel( (3,3), [-1, -2, -1,
                                              -2, 30, -2,
                                              -1, -2, -1] )),
      img.filter( ImageFilter.Kernel( (3,3), [-1, -2, -1,
                                              -2, 20, -2,
                                              -1, -2, -1] )),
      img.filter( ImageFilter.Kernel( (3,3), [-1, -2, -1,
                                              -2, 15, -2,
                                              -1, -2, -1] ))
).show()
