import PIL
from PIL import Image, ImageOps
from lib import *

with Image.open("data/muva_mini.jpg") as img:
    img.load()

# primenimo prag na svaki kanal posebno
# ako je > 100, postavimo najsvetlije, ako je <=100 postavimo na 0
tc = img.point( lambda x: 255 if x>100 else 0)

# konvertujemo sliku u grayscale
gs = img.convert("L")

# primenimo prag na jedini (sivi) kanal
tgs = gs.point( lambda x: 255 if x>100 else 0)

tile( img, tc, gs, tgs ).show()
