import PIL
from PIL import Image, ImageOps
from lib import *

# ucitamo sliku i primenimo nekoliko gama-korekcija
with Image.open("data/muva_mini.jpg") as img:
    img.load()

img05 = img.point( lambda x: 255 * pow( x/255, 0.5 ))
img07 = img.point( lambda x: 255 * pow( x/255, 0.67 ))
img15 = img.point( lambda x: 255 * pow( x/255, 1.5 ))
img2 = img.point( lambda x: 255 * pow( x/255, 2 ))

tile( 
    img05,
    img07,
    img,
    img15,
    img2
).show()
input("Press any key to continue...")


# sve isto, ali prvo primenimo kontrast
with Image.open("data/muva_mini.jpg") as img:
    img.load()
img = img_range( img, 20, 215 )

img05 = img.point( lambda x: 255 * pow( x/255, 0.5 ))
img07 = img.point( lambda x: 255 * pow( x/255, 0.67 ))
img15 = img.point( lambda x: 255 * pow( x/255, 1.5 ))
img2 = img.point( lambda x: 255 * pow( x/255, 2 ))

tile( 
    img05,
    img07,
    img,
    img15,
    img2
).show()
input("Press any key to continue...")

# sada uporedimo original, pa kontrast, pa jos gama
with Image.open("data/muva_mini.jpg") as img:
    img.load()
imga = img_range( img, 20, 215 )
img07 = imga.point( lambda x: 255 * pow( x/255, 0.67 ))

tile( 
    img,
    imga,
    img07
).show()
